[SOLVED] Unsupported Video Codec libx264 & libmp3lame for rendering Lossless / HQ Natty 64bit

I'm using sunabs svn PPA on Natty 64bit & I can't get x264 encoding, there's a big red cross against them in the render options. :-)

I have libx264-106 & 115, x264 Ubuntu package 2:0.106.1741-3, libmp3lame0 3.98.4.0ubuntu1 installed.

I have ffmpeg 4:0.6.2-1ubuntu1, libavcodec-extra-52 and lib avformat-extra-52 installed.

Using sunabs 32bit svn build on my laptop does give the x264 render options, so I guess I have some kind of mixed up dependancies on the 64bit machine.

I also have ffmpeg from git compiled from source with x264 support at /usr/local but assume kdenlive is not using that.

After some tests same behavior here in a fresh installed virtual machine.

try to delete the kdenliverc file.

I will investigate.

I have like problem: Natty 32bit, KDEnlive sunabs svn PPA and same libs, except libavcodec-extra-52 and lib avformat-extra-52. I tried to install them, but the system was unable to download one of dependencies (libopenjpeg2). The problem persists. How to resolve?

I tried to install libavcodec-extra-52 and lib avformat-extra-52 to stay with scenery more like that Yellow's, but these libs uninstalls libavcodec-52 and lib avformat-52, and additionally, installs libavtuil-extra-50 and libopenjpeg2, but unistalls libavtuil-50 too. But libopenjpeg2 isn't found in repository. And if try to unchek to install, the system requires unistalls various programs, like Cinelerra and other! Is difficult to resolve dependency for KDEnlive. If you need more information, please, ask!

I resolved! I forgot: I'm in Brazil and my Ubuntu is BR. The system don't found http://br.archive.ubuntu.com/ubuntu/pool/universe/o/openjpeg/libopenjpeg..., then I tried http://archive.ubuntu.com/ubuntu/pool/universe/o/openjpeg/libopenjpeg2_1..., downloaded it and installed it, after I used Synaptics to install libavcodec-extra-52 and lib avformat-extra-52, this installed libavtuil-extra-50 too and unistalls libavcodec-52, libavformat-52 and libavtuil-50. Then KDEnlive enables various options to render the movie, like MPEG4, XVid, H264 and all othes that was disabled! My system is Ubuntu BR Natty 11.04 32bit with Gnome. Congratulations, KDEnlive is a big powerful program, now I'll to test the quality of its rendering! Thanks!

Binho, thanks for info.

Sunab, yes deleting the kdenliverc in ~/.kde/share/config did the trick, old settings conflict then I guess, one to remember, thank you and thanks for your consistent and reliable PPA it makes access to kdenlive svn for Ubuntu based distro users so easy. :-)

@yellow :

Seems that old settings aren't correctly modified even re-running te config wizard (setings menu), only deleting kdenliverc file does the trick.
I will investigate this to see if it is distro related or kdenlive related.

Glad to help you, this ppa was set up for easy testing of kdenlive svn, to hunt more bugs and regressions with no hassle of compiling on the user side.

Thanks for you interest.

deleting the kdenliverc in ~/.kde/share/config did the trick [2]

I did the wizard initially and I had the same problem... after deleted the file and re-wizard things worked great!

Im running linux mint 10, I had the same problem, and messed around a bit.

Found this thread and installed the above link from Bihno.

Still not working? I didn't try to restart kdenlive.

Installed libk3b6 from software manager and ran the config wizard, had to restart kdenlive, and now everything is working. Don't ask me how. But Im happy now.

I'm having this same problem, and none of the above are helping. I'm running Mint 12. the deb file pasted above wouldn't install. It said I had the wrong architecture. I tried deleating the kdenliverc file. The wizard re-ran, but still having the same trouble. My software manager says that I have FFMPEG installed, but I tried the install code listed on this site anyway, but I get "E: Unable to locate package" for everything.

Any ideas?

I'm new to linux, and I installed it strictly because I wanted to use kdenlive.

@sunab: ubuntu 12.04 build in the works? :)

Solution posted by Binho worked for me too, on Linux Mint 13 32-bit.

Thanks!

Pages